import 'package:base_repository/base_repository.dart';
import 'package:flutter/foundation.dart';

import '../datareport_repository.dart';

class DatareportRepositoryImpl extends DatareportRepository{

  DatareportRepositoryImpl._();

  static DatareportRepositoryImpl _instance;

  static DatareportRepositoryImpl get() {
    if (_instance == null) {
      _instance = DatareportRepositoryImpl._();
    }
    return _instance;
  }
  
  @override
  Future dataReport({@required List<dynamic> list}) async{
    Options options = Options(headers: {'base_url': 'v6'});
    dynamic result = await DSDioUtil.getInstance().post(
      '/drp.send',
      data:{'data':list},
      options:options
    );
    return result;
  }
  
}