import 'package:flutter/material.dart';

///
/// 数据上报实体类
/// id、数据的自增id，如优惠券在数据库对应的id
/// event、事件类型，1曝光事件  2点击事件  3流量次数事件
/// type、数据类型，1信息流 2宣传口 3搜索结果 4优惠券 5活动配置
/// amount 在app中定时周期内累计的上报数量,
///
class DataReportEntity {
  String id;
  int event;
  int type;
  int amount;

  ///
  /// [id]          数据id,来源服务器
  /// [event]       事件类型：1曝光事件  2点击事件  3流量次数事件
  /// [type]        数据类型：1信息流 2宣传口 3搜索结果 4优惠券 5活动配置
  /// [amount]      点击或曝光的次数
  ///
  DataReportEntity({@required this.id,this.event = 2,this.type = 1,this.amount = 1});
}