import 'package:flutter/gestures.dart';
import 'package:flutter/widgets.dart';

///
/// 曝光监听组件
///
class ExposureScrollListener extends StatelessWidget {
  
  final List<Widget> slivers;
  final Axis scrollDirection;
  final bool reverse;
  final ScrollController controller;
  final bool primary;
  final ScrollPhysics physics;
  final bool shrinkWrap;
  final Key center;
  final double cacheExtent;
  final double anchor;
  final int semanticChildCount;
  final DragStartBehavior dragStartBehavior;
  final String restorationId;
  final Clip clipBehavior;
  const ExposureScrollListener({
    Key key ,
    @required this.slivers,
    this.scrollDirection = Axis.vertical,
    this.reverse = false,
    this.controller,
    this.primary,
    this.physics,
    this.shrinkWrap = false,
    this.center,
    this.cacheExtent,
    this.anchor = 0.0,
    this.semanticChildCount,
    this.dragStartBehavior = DragStartBehavior.start,
    this.restorationId,
    this.clipBehavior = Clip.hardEdge
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CustomScrollView(
        slivers:slivers,
        scrollDirection: scrollDirection,
        reverse: reverse,
        controller:controller,
        primary:primary,
        physics:physics,
        shrinkWrap:shrinkWrap,
        center:center,
        cacheExtent:cacheExtent,
        anchor:anchor,
        semanticChildCount:semanticChildCount,
        dragStartBehavior:dragStartBehavior,
        restorationId:restorationId,
        clipBehavior:clipBehavior
      );
  }
}